<template>
  <div class="profile-accordion">

    <div class="profile-title" @click="toggle" v-click-outside="outsideClick">
      <p >メニュー</p>
      <div class="base">
        <span class="down-arrow"></span>
      </div>
    </div>

    <transition name="fade">

      <div v-show="show" class="accordion-wrapper" >
        <div class="accordion-title -ly_contents">
          <p>メニュー</p>
        </div>
        <div class="accordion-contents -ly_contents">
          <ul>
            <li class="contents-list">
              <router-link to="/">Home</router-link>
              </li>
            <li class="contents-list">
              <router-link to="/selectbox">selectbox</router-link>
            </li>
            <li class="contents-list">
              <router-link to="/vuetifyGrid">vuetifyGrid</router-link>
            <li class="contents-list">
              <router-link to="/tenkey">tenKey</router-link>
            <li>
              <router-link to="/textbox">textbox</router-link>

            </li>
            <li>
              <router-link to="/productSearch">商品一覧デモ</router-link>
            </li>
          </ul>
        </div>
        <div class="bar -ly_contents"></div>
        <div class="accrodion-footer -ly_contents">
          <p>サインアウト</p>
        </div>
      </div>
    </transition>
  </div>
</template>
<script>
import ClickOutside from 'vue-click-outside'

export default {
  name: "HelloWorld",

  data() {
    return {
      show: false
    };
  },
  methods: {
    toggle: function() {
      this.show = !this.show;
      
    },
    outsideClick: function(){
        if( this.show){
            this.show = !this.show;
        }
        
    },

  },
  directives:{
      ClickOutside
  }
};

</script>

<style scoped>

.fade-enter-active, .fade-leave-active {
  transition: opacity .2s;
}
.fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ {
  opacity: 0.1;
}

.profile-accordion {
  height: 20px;
  width: 144px;
}
.profile-title {
  margin-top: 0px;
  height: 20px;
  display: flex;
}

.profile-title > p {
  margin: 0;
  height: 20px;
  width: 56px;
  color: #354052;
  font-family: "Noto Sans CJK JP";
  font-size: 14px;
  letter-spacing: 0;
  line-height: 20px;
}
.profile-title > .base {
  margin-top: 13px;
  margin-left: 6px;
}

.profile-title > .base > span {
  width: 0;
  height: 0;

  border-style: solid;
  border-width: 6px 4px 0 4px;
  border-color: #C5D0DE transparent transparent transparent;
}

.accordion-wrapper {
  position:fixed;
  margin-top: 0px;
  margin-right: 80px;
  height: 982px;
  width: 240px;
  background-color: #FFFFFF;
  z-index: 9998;
  box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.3);
}

.accordion-wrapper::before {
  content: "";
  position: absolute;
  display: block;
  width: 0;
  height: 0;
  left: 100px;
  top: -10px;
  border-right: 10px solid transparent;
  border-bottom: 10px solid #C5D0DE;
  border-left: 10px solid transparent;
}

.accordion-wrapper::after {
  content: "";
  position: absolute;
  display: block;
  width: 0;
  height: 0;
  left: 100px;
  top: -8px;
  border-right: 10px solid transparent;
  border-bottom: 10px solid #FFFFFF;
  border-left: 10px solid transparent;
}

.-ly_contents {
  margin-left: 16px;
}

.accordion-title {
  padding: 30px 0 46px;
}
.accordion-title > p {
  color: #354052;
  font-family: "Noto Sans CJK JP";
  font-size: 38px;
  letter-spacing: 0;
  line-height: 18px;
  padding: 0;
  margin: 0;
  text-align: left;
}
.accordion-contents {
  display: block;
  padding: 0;
}

.accordion-contents > ul {
  text-align: left;
  padding: 0;
  margin: 0 0 10px;
}

.accordion-contents > ul > li {
  color: #354052;
  font-family: "Noto Sans CJK JP";
  font-size: 20px;
  letter-spacing: 0;
  line-height: 20px;
  list-style: none;
  margin-bottom: 38px;
}

.bar {
  height: 2.9px;
  width: 208px;
  background-color: #E0E6EF;
}
.accrodion-footer {
  padding: 0;
  text-align: left;
}

.accrodion-footer > p {
  color: #354052;
  font-family: "Noto Sans CJK JP";
  font-size: 23px;
  letter-spacing: 0;
  line-height: 68px;
  margin-bottom: 16px;
}
</style>